WDT(4)

NAME
wdt - ICS PCI-WDT500/501 watchdog timer device

SYNOPSIS
wdt0 at pci?

DESCRIPTION
The wdt driver provides support for the Industrial Computer Source PCI-WDT500 and PCI-WDT501 boards.

For PCI-WDT500 boards, basic watchdog timer functionality is supported. For PCI-WDT501 boards, the onboard buzzer will sound when the watchdog counter expires. The sensors are not yet supported.

If the kernel crashes, the watchdog timer is not reset and the system will reboot (assuming a proper connection is made between the WDT50x and motherboard). Alternatively, the watchdog can be reinitialized via a userland process which ensures that process scheduling, not just kernel timeout processing, is still taking place. See watchdog(4) and watchdogd(8) for more information.

The timer can be configured to have a timeout from 2 to 1800 seconds.

SEE ALSO
intro(4), pci(4), watchdog(4), watchdogd(8)

HISTORY
The wdt driver first appeared in OpenBSD 2.6.